From e710c98a2f5beef9d8640bf3618ae20bd12c12f7 Mon Sep 17 00:00:00 2001
From: Greg Hogan <code@greghogan.com>
Date: Thu, 7 Jan 2021 21:54:37 +0000
Subject: [PATCH] gnu: folly: Update to 2021.01.04.00.

* gnu/packages/cpp.scm (folly): Update to 2021.01.04.00.
[propagated-inputs]: Add icu4c.
---
 gnu/packages/cpp.scm | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 00e006928e..5032a5c58b 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -14,7 +14,7 @@
 ;;; Copyright © 2020 Marius Bakke <marius@gnu.org>
 ;;; Copyright © 2020 Michael Rohleder <mike@rohleder.de>
 ;;; Copyright © 2020 Alexandros Theodotou <alex@zrythm.org>
-;;; Copyright © 2020 Greg Hogan <code@greghogan.com>
+;;; Copyright © 2020, 2021 Greg Hogan <code@greghogan.com>
 ;;; Copyright © 2020 Brett Gilio <brettg@gnu.org>
 ;;;
 ;;; This file is part of GNU Guix.
@@ -50,6 +50,7 @@
   #:use-module (gnu packages crypto)
   #:use-module (gnu packages curl)
   #:use-module (gnu packages gcc)
+  #:use-module (gnu packages icu4c)
   #:use-module (gnu packages libevent)
   #:use-module (gnu packages libunwind)
   #:use-module (gnu packages linux)
@@ -688,7 +689,7 @@ standard GNU style syntax for options.")
 (define-public folly
   (package
     (name "folly")
-    (version "2020.10.05.00")
+    (version "2021.01.04.00")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -697,7 +698,7 @@ standard GNU style syntax for options.")
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0q4w4cvjxffc462hvs8h4zryq4965j7015zvkwagcm6cj6wmz3cn"))))
+                "03r16q966p3qg4661ns6q5phmi67i536vi804ayja9fmd6hyfqdj"))))
     (build-system cmake-build-system)
     (arguments
      '(;; Tests must be explicitly enabled
@@ -708,6 +709,7 @@ standard GNU style syntax for options.")
      `(("boost" ,boost)
        ("gflags" ,gflags)
        ("glog" ,glog)
+       ("icu4c" ,icu4c)
        ("liburing" ,liburing)))
     (inputs
      `(("bzip2" ,bzip2)
-- 
2.29.2

